devel/p5-Tee - The NetBSD Packages Collection

Pure Perl emulation of GNU tee

The Tee distribution provides the ptee program, a pure Perl emulation of the
standard GNU tool tee. It is designed to be a platform-independent
replacement for operating systems without a native tee program. As with tee,
it passes input received on STDIN through to STDOUT while also writing a copy
of the input to one or more files. By default, files will be overwritten.

Unlike tee, ptee does not support ignoring interrupts, as signal handling is
not sufficiently portable.

The Tee module provides a convenience function that may be used in place of
system() to redirect commands through ptee.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Probe-Perl devel/p5-IPC-Run3 devel/p5-IO-CaptureOutput lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 8.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 8.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 8.0i386p5-Tee-0.14nb9.tgz
NetBSD 8.0i386p5-Tee-0.14nb9.tgz
NetBSD 8.0i386p5-Tee-0.14nb9.tgz
NetBSD 8.0powerpcp5-Tee-0.14nb9.tgz
NetBSD 8.0powerpcp5-Tee-0.14nb9.tgz
NetBSD 8.0powerpcp5-Tee-0.14nb9.tgz
NetBSD 8.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 8.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0aarch64p5-Tee-0.14nb9.tgz
NetBSD 9.0aarch64p5-Tee-0.14nb9.tgz
NetBSD 9.0aarch64p5-Tee-0.14nb9.tgz
NetBSD 9.0alphap5-Tee-0.14nb9.tgz
NetBSD 9.0alphap5-Tee-0.14nb9.tgz
NetBSD 9.0alphap5-Tee-0.14nb9.tgz
NetBSD 9.0earmp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv6hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv6hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv6hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv6hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 9.0earmv7hfp5-Tee-0.14nb9.tgz
NetBSD 9.0i386p5-Tee-0.14nb9.tgz
NetBSD 9.0i386p5-Tee-0.14nb9.tgz
NetBSD 9.0i386p5-Tee-0.14nb9.tgz
NetBSD 9.0mips64ebp5-Tee-0.14nb9.tgz
NetBSD 9.0mips64ebp5-Tee-0.14nb9.tgz
NetBSD 9.0mips64ebp5-Tee-0.14nb9.tgz
NetBSD 9.0powerpcp5-Tee-0.14nb9.tgz
NetBSD 9.0powerpcp5-Tee-0.14nb9.tgz
NetBSD 9.0sparc64p5-Tee-0.14nb9.tgz
NetBSD 9.0sparc64p5-Tee-0.14nb9.tgz
NetBSD 9.0sparc64p5-Tee-0.14nb9.tgz
NetBSD 9.0sparcp5-Tee-0.14nb9.tgz
NetBSD 9.0sparcp5-Tee-0.14nb9.tgz
NetBSD 9.0sparcp5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz
NetBSD 9.0x86_64p5-Tee-0.14nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.